## org.hibernate.loader.custom
Class ScalarReturn

    java.lang.Object
      org.hibernate.loader.custom.ScalarReturn

All Implemented Interfaces:
  Return

    public class ScalarReturn

extends Object
implements Return

Represent a scalar (aka simple value) return within a query result.

Author:
  Steve Ebersole

Constructor Summary
`ScalarReturn(Type type, String columnAlias)`

Method Summary
`String` `getColumnAlias()`
`Type` `getType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScalarReturn

    public ScalarReturn(Type type,
                        String columnAlias)

Method Detail

### getType

    public Type getType()

### getColumnAlias

    public String getColumnAlias()

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.